<!DOCTYPE html>
<html>
<head>
<style>

body {
  padding: 50px;
  font: 1em Helvetica Neue, Helvetica, Arial, sans-serif;
}

.grid {
  border: 5px solid rgb(111,41,97);
  display: grid;
  grid-template-areas:
    "bat    bat     bi      bi"
    "bat    bat     bi      bi"
    "hiru   hiru    lau     lau"
    "hiru   hiru    lau     lau";
  gap: 10px; /* Lerro eta zutabeen arteko hutsunea */
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(4, 50px);
  inline-size: 800px;
}

.grid > * {
  background-color: rgba(111,41,97,.4);
  border-radius: 5px;
  padding: 10px;
}

.bat {
  grid-area: bat;
}

.bi {
  grid-area: bi;
}

.hiru {
  grid-area: hiru;
}

.lau {
  grid-area: lau;
}

</style>
</head>
<body>

<h1>Grid area 02</h1>

<div class="grid">
    <div class="bat">1</div>
    <div class="bi">2</div>
    <div class="hiru">3</div>
    <div class="lau">4</div>
  </div>

</body>
</html>
